Package org.stianloader.picoresolve.internal.meta

# Class VersionCatalogue

java.lang.Object
org.stianloader.picoresolve.internal.meta.VersionCatalogue

@Internal public class VersionCatalogue extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`VersionCatalogue.SnapshotVersion`

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`fallbackSnapshotVersion`
`String`
`lastUpdated`
`int`
`lastUpdateDay`
`int`
`lastUpdateHour`
`int`
`lastUpdateMinute`
`int`
`lastUpdateMonth`
`int`
`lastUpdateSecond`
`int`
`lastUpdateYear`
`MavenVersion`
`latestVersion`
`boolean`
`localCopy`
`MavenVersion`
`releaseVersion`
`final @NotNull List<@NotNull MavenVersion>`
`releaseVersions`
`final @NotNull List<@NotNull VersionCatalogue.SnapshotVersion>`
`snapshotVersions`

## Constructor Summary

Constructors
Constructor
Description
`VersionCatalogue(InputStream is)`

## Method Summary

Modifier and Type
Method
Description
`static VersionCatalogue`
`merge(Iterable<VersionCatalogue> sources)`
`static @NotNull VersionCatalogue`
`synthesize(List<@NotNull MavenVersion> guessedVersions)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### fallbackSnapshotVersion

public String fallbackSnapshotVersion

### lastUpdated

public String lastUpdated

### lastUpdateDay

public int lastUpdateDay

### lastUpdateHour

public int lastUpdateHour

### lastUpdateMinute

public int lastUpdateMinute

### lastUpdateMonth

public int lastUpdateMonth

### lastUpdateSecond

public int lastUpdateSecond

### lastUpdateYear

public int lastUpdateYear

### latestVersion

public MavenVersion latestVersion

### localCopy

public boolean localCopy

### releaseVersion

public MavenVersion releaseVersion

### releaseVersions

@NotNull public final @NotNull List<@NotNull MavenVersion> releaseVersions

### snapshotVersions

@NotNull public final @NotNull List<@NotNull VersionCatalogue.SnapshotVersion> snapshotVersions

## Constructor Details

### VersionCatalogue

public VersionCatalogue(InputStream is) throws SAXException, IOException, ParserConfigurationException

Throws:
  `SAXException`
  `IOException`
  `ParserConfigurationException`

## Method Details

### merge

public static VersionCatalogue merge(Iterable<VersionCatalogue> sources)

### synthesize

@NotNull public static @NotNull VersionCatalogue synthesize(List<@NotNull MavenVersion> guessedVersions)